# CreateStartScripts

API Documentation: | `CreateStartScripts`

A `Task` for creating OS dependent start scripts.

### Properties

Property | Description
`applicationName` | The application's name.
`classpath` | The class path for the application.
`mainClassName` | The application's main class.
`optsEnvironmentVar` | The name of the application's OPTS environment variable.
`outputDir` | The directory to write the scripts into.

### Property details

#### `String` `applicationName`

The application's name.

#### `FileCollection` `classpath`

The class path for the application.

#### `String` `mainClassName`

The application's main class.

#### `String` `optsEnvironmentVar`

The name of the application's OPTS environment variable.

#### `File` `outputDir`

The directory to write the scripts into.

### Script blocks

No script blocks

### Methods

No methods